summarylogtreecommitdiffstats
path: root/borg-explorer.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-24 18:05:02 +0800
committerzxp198210052024-01-24 18:05:02 +0800
commit10f8de6a519de43c437e1c95f3cdc208b4b5be62 (patch)
treed3f26f6d60b78b25a7baa1eb166254601e8e625b /borg-explorer.sh
parent9baac07a6ee5a0603f531f47f0e080aca6f6048e (diff)
downloadaur-10f8de6a519de43c437e1c95f3cdc208b4b5be62.tar.gz
fix errors
Diffstat (limited to 'borg-explorer.sh')
-rw-r--r--borg-explorer.sh9
1 files changed, 3 insertions, 6 deletions
diff --git a/borg-explorer.sh b/borg-explorer.sh
index c77c53567639..0d20cddc70ca 100644
--- a/borg-explorer.sh
+++ b/borg-explorer.sh
@@ -6,12 +6,9 @@ export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
+cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" "$@"
- exit
+ exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
else
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
- exit
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file